<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title">
    {{t('manage_organization.edit_organization_user_roles')}}
  </h2>
  <form
    [formGroup]="rolesForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color dialog-content-text-color">
      <section
        formArrayName="roles"
        class="column-container">
        <mat-checkbox
          color="primary"
          *ngFor="let role of ORGANIZATION_USER_ROLES_SELECTION; index as i"
          [formControlName]="i">
          {{'roles.'+role|transloco}}
        </mat-checkbox>
      </section>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="rolesForm.invalid">
        {{t('general_forms.confirm')}}
      </button>
    </div>
  </form>
</ng-container>
